Edushade Docs
Scholarship

A: Create scholarship with cohort

POST
/admin/billing/scholarship
AuthorizationBearer <token>

In: header

descriptionstring
Default"Scholarship for outstanding students with excellent academic performance"
end_datestring
Default"2024-12-31T23:59:59Z"
entity_idstring
Default"{{entity_id}}"
entity_typestring
Default"course"
percentageinteger
Default50
revoke_policiesarray<object>
start_datestring
Default"2024-01-01T00:00:00Z"
statusstring
Default"active"
thumbnailstring
Default"https://example.com/scholarship-thumbnail.jpg"
Formaturi
titlestring
Default"Merit-Based Scholarship 2024"

Response Body

curl -X POST "https://edushade.com/api/v1/admin/billing/scholarship" \
  -H "Content-Type: application/json" \
  -d '{
    "description": "Scholarship for outstanding students with excellent academic performance",
    "end_date": "2024-12-31T23:59:59Z",
    "entity_id": "{{entity_id}}",
    "entity_type": "course",
    "percentage": 50,
    "revoke_policies": [
      {
        "entity_id": "{{entity_id}}",
        "entity_type": "course",
        "field": "quiz_score",
        "operator": "less_than",
        "value": "60"
      }
    ],
    "start_date": "2024-01-01T00:00:00Z",
    "status": "active",
    "thumbnail": "https://example.com/scholarship-thumbnail.jpg",
    "title": "Merit-Based Scholarship 2024"
  }'
{}
Empty
Empty
Empty